Package org.apache.tools.ant.taskdefs

# Class Jar.StrictMode

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.taskdefs.Jar.StrictMode

Enclosing class:
  Jar

    public static class Jar.StrictMode
    extends EnumeratedAttribute

The strict enumerated type.

## Field Summary

### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`value`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`StrictMode()` | Public no arg constructor.
`StrictMode​(java.lang.String value)` | Constructor with an arg.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`int` | `getLogLevel()` |
`java.lang.String[]` | `getValues()` | Get List of valid strings.

### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StrictMode

public StrictMode()
Public no arg constructor.

### StrictMode

public StrictMode​(java.lang.String value)
Constructor with an arg.

Parameters:
  `value` - the enumerated value as a string.

## Method Details

### getValues

public java.lang.String[] getValues()
Get List of valid strings.

Specified by:
  `getValues` in class `EnumeratedAttribute`
Returns:
  the list of values.

### getLogLevel

public int getLogLevel()

Returns:
  The log level according to the strict mode.